#
# spec file for package perl-Crypt-URandom
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Crypt-URandom
Name:           perl-Crypt-URandom
Version:        0.530.0
Release:        bp156.2.1
# 0.53 -> normalize -> 0.530.0
%define cpan_version 0.53
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Provide non blocking randomness
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDICK/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp) >= 1.26
BuildRequires:  perl(Test::Pod) >= 1.14
Requires:       perl(Carp) >= 1.26
Provides:       perl(Crypt::URandom) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This Module is intended to provide an interface to the strongest available
source of non-blocking randomness on the current platform. Platforms
currently supported are anything supporting getrandom(2), /dev/urandom and
versions of Windows greater than or equal to Windows 2000.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.md SECURITY.md
%license LICENSE

%changelog
* Sun Feb  9 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.530.0 (0.53)
  see /usr/share/doc/packages/perl-Crypt-URandom/Changes
  0.53  Sat Feb 08 20:03:30 2025
  - Changes to try and catch CPAN Tester failures on solaris
  0.52  Thu Jan 23 06:33:51 2025
  - Fixes to test suite.  Thanks to Petr Pisar for GH#17
  0.51  Wed Jan 22 22:18:19 2025
  - Improvements to handling SIGINT.  Thanks to Leon Timmermans for GH#14
  - Memory leak fix.  Thanks to Leon Timmermans for GH#15
  - Using arc4random_buf for OpenBSD/OSX.  Thanks to Leon Timmermans for GH#16
  - Documentation fixes
* Thu Jan  9 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.500.0 (0.50)
  see /usr/share/doc/packages/perl-Crypt-URandom/Changes
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sun Feb 25 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.40
  see /usr/share/doc/packages/perl-Crypt-URandom/Changes
  0.40 - Sat Feb 17 06:34:33 2024
    Moving $OSNAME checks to compile time with GH#4.  Thanks to Aristotle.
    Test and documentation fixes in GH#1, GH#2, GH#3.  Thanks to guest20.
* Mon May 22 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.39
  see /usr/share/doc/packages/perl-Crypt-URandom/Changes
  0.39 - Sun May 21 18:58:33 2023
    Adding support for test suite in non english locales
    Test and documentation fixes
  0.38 - Thu May 11 05:52:03 2023
    Adding support for github actions
    Improving test support
  0.37 - Wed May 10 21:48:03 2023
    Adding urandom_ub method for unbuffered sysreads
    Copying with possible?? failures in reading from /dev/urandom
    Improved coverage testing
* Sun Jun 12 2016 coolo@suse.com
- initial package 0.36
  * created by cpanspec 1.78.08
